HostingDelivery

Delete Delivery account

DELETE/api/delivery/accounts/{id}

Deletes a Delivery account or schedules deletion at the end of the billing cycle.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

id*integer
Format int32

Query Parameters

delete_after_billing?boolean

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/delivery/accounts/0" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}